Installation of snort FAILED!



  • Beginning package installation for snort…
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading snort and its dependencies...
    Checking for package installation...
    Downloading http://files.pfsense.org/packages/amd64/8/All/mysql-client-5.1.68.tbz ...  could not download from there or http://ftp2.FreeBSD.org/pub/FreeBSD/ports/amd64/packages-8.1-release/All/mysql-client-5.1.68.tbz.
    of mysql-client-5.1.68 failed!

    Installation aborted.Backing up libraries...
    Removing package...
    Starting package deletion for mysql-client-5.1.68...done.
    Starting package deletion for barnyard2-1.12...done.
    Starting package deletion for libnet11-1.1.6_1,1...done.
    Skipping package deletion for libdnet-1.11_3 because it is a dependency.
    Skipping package deletion for libpcap-1.3.0 because it is a dependency.
    Skipping package deletion for daq-2.0.0 because it is a dependency.
    Starting package deletion for snort-2.9.4.1...done.
    Removing snort components...
    Menu items... done.
    Services... done.
    Loading package instructions...
    Include file snort.inc could not be found for inclusion.
    Deinstall commands...
    Not executing custom deinstall hook because an include is missing.
    Removing package instructions...done.
    Auxiliary files... done.
    Package XML... done.
    Configuration... done.
    Cleaning up... Failed to install package.

    Installation halted.

    ============================================
    Sure enough, there is no mysql-client-5.1.68.tbz on files.pfsense.org/packages/amd64/8/All/....

    Does anyone know what's happening?

    Thanks a bunch!


  • Rebel Alliance Developer Netgate

    Fixed now.

    As with previous snort binary upgrades, make sure you uninstall completely and then reinstall to ensure you have the correct set of files/packages.



  • thank you much!
    i've already uninstalled, manually removed the …/snort folders and reinstall...
    It's working fine WITHOUT snort (free account) rules- i have just the Emerging Threats enabled AND 'Enable Sensitive Data' preprocessor unchecked.
    I guess i'll have to wait a bit, looks like the free snort rules are not yet compatible with this release.
    Thanks again!


  • Banned


Locked